addObject
- Actions are applied in the order they are specified.
- Actions are equivalent to the individual API requests of the same name.
Usage
// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.MultipleBatchAsync(
new BatchParams
{
Requests = new List<MultipleBatchRequest>
{
new MultipleBatchRequest
{
Action = Enum.Parse<Action>("AddObject"),
Body = new Dictionary<string, string> { { "key", "value" } },
IndexName = "<YOUR_INDEX_NAME>",
},
},
}
);
// print the response
Console.WriteLine(response);
// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.multipleBatch(
batchParams: BatchParams(
requests: [
MultipleBatchRequest(
action: Action.fromJson("addObject"),
body: {
'key': "value",
},
indexName: "<YOUR_INDEX_NAME>",
),
],
),
);
// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.MultipleBatch(client.NewApiMultipleBatchRequest(
search.NewEmptyBatchParams().SetRequests(
[]search.MultipleBatchRequest{
*search.NewEmptyMultipleBatchRequest().SetAction(search.Action("addObject")).SetBody(map[string]any{"key": "value"}).SetIndexName("<YOUR_INDEX_NAME>"),
}),
))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
MultipleBatchResponse response = client.multipleBatch(
new BatchParams().setRequests(
Arrays.asList(
new MultipleBatchRequest()
.setAction(Action.ADD_OBJECT)
.setBody(
new HashMap() {
{
put("key", "value");
}
}
)
.setIndexName("<YOUR_INDEX_NAME>")
)
)
);
// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.multipleBatch({
requests: [{ action: 'addObject', body: { key: 'value' }, indexName: 'theIndexName' }],
});
// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.multipleBatch(
batchParams =
BatchParams(
requests =
listOf(
MultipleBatchRequest(
action = Action.entries.first { it.value == "addObject" },
body = buildJsonObject { put("key", JsonPrimitive("value")) },
indexName = "<YOUR_INDEX_NAME>",
)
)
)
)
// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->multipleBatch(
['requests' => [
['action' => 'addObject',
'body' => ['key' => 'value',
],
'indexName' => '<YOUR_INDEX_NAME>',
],
],
],
);
// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.multiple_batch(
batch_params={
"requests": [
{
"action": "addObject",
"body": {
"key": "value",
},
"indexName": "<YOUR_INDEX_NAME>",
},
],
},
)
# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.multiple_batch(
Algolia::Search::BatchParams.new(
requests: [
Algolia::Search::MultipleBatchRequest.new(
action: "addObject",
body: {key: "value"},
index_name: "<YOUR_INDEX_NAME>"
)
]
)
)
# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.multipleBatch(
batchParams = BatchParams(
requests = Seq(
MultipleBatchRequest(
action = Action.withName("addObject"),
body = Some(JObject(List(JField("key", JString("value"))))),
indexName = "<YOUR_INDEX_NAME>"
)
)
)
),
Duration(100, "sec")
)
// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.multipleBatch(batchParams: BatchParams(requests: [MultipleBatchRequest(
action: SearchAction.addObject,
body: ["key": "value"],
indexName: "<YOUR_INDEX_NAME>"
)]))
// print the response
print(response)
See the full API reference
For more details about input parameters
and response fields.